Create transfer
curl --request POST \
--url https://api.business.bumxpress.com/transfers \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>' \
--data '
{
"quote_id": "33333333-3333-3333-3333-333333333333",
"customer_id": "22222222-2222-2222-2222-222222222222",
"payment_reason_code": "OTHER",
"sender_source_of_funds": "salary",
"sender_occupation": "Engineer",
"payer": {
"country_code": "CM",
"rail_type": "mobile_money",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO"
},
"recipient": {
"recipient_type": "individual",
"first_name": "Mariam",
"last_name": "Traore",
"country_code": "CI",
"rail_type": "mobile_money",
"phone": "+2250700112233",
"operator_code": "CI_ORANGE_MOMO",
"email": "mariam.traore@example.com",
"recipient_nationality_code": "CI",
"address_line1": "Rue du Commerce",
"city": "Abidjan"
}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"payin_status": "<string>",
"payout_status": "<string>",
"send_amount": "10000",
"send_currency": "XAF",
"receive_amount": "10000",
"receive_currency": "XAF",
"payin_amount": "10000",
"payin_currency": "XAF",
"payout_amount": "10000",
"payout_currency": "XAF",
"corridor_code": "<string>",
"corridor_type": "<string>",
"execution": {},
"payer": {
"country_code": "CM",
"rail_type": "mobile_money",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO",
"bank_name": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"account_number": "<string>"
},
"recipient": {
"country_code": "CM",
"rail_type": "mobile_money",
"recipient_type": "individual",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO",
"bank_name": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"account_number": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"email": "jsmith@example.com",
"recipient_nationality_code": "CM",
"address_line1": "<string>",
"city": "<string>"
},
"pricing": {},
"history": [
{
"status": "<string>",
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Transfers
Create transfer
Create a quote-backed transfer.
POST
https://api.business.bumxpress.com
/
transfers
Create transfer
curl --request POST \
--url https://api.business.bumxpress.com/transfers \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>' \
--data '
{
"quote_id": "33333333-3333-3333-3333-333333333333",
"customer_id": "22222222-2222-2222-2222-222222222222",
"payment_reason_code": "OTHER",
"sender_source_of_funds": "salary",
"sender_occupation": "Engineer",
"payer": {
"country_code": "CM",
"rail_type": "mobile_money",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO"
},
"recipient": {
"recipient_type": "individual",
"first_name": "Mariam",
"last_name": "Traore",
"country_code": "CI",
"rail_type": "mobile_money",
"phone": "+2250700112233",
"operator_code": "CI_ORANGE_MOMO",
"email": "mariam.traore@example.com",
"recipient_nationality_code": "CI",
"address_line1": "Rue du Commerce",
"city": "Abidjan"
}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"payin_status": "<string>",
"payout_status": "<string>",
"send_amount": "10000",
"send_currency": "XAF",
"receive_amount": "10000",
"receive_currency": "XAF",
"payin_amount": "10000",
"payin_currency": "XAF",
"payout_amount": "10000",
"payout_currency": "XAF",
"corridor_code": "<string>",
"corridor_type": "<string>",
"execution": {},
"payer": {
"country_code": "CM",
"rail_type": "mobile_money",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO",
"bank_name": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"account_number": "<string>"
},
"recipient": {
"country_code": "CM",
"rail_type": "mobile_money",
"recipient_type": "individual",
"phone": "+237670000000",
"operator_code": "CM_MTN_MOMO",
"bank_name": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"account_number": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"email": "jsmith@example.com",
"recipient_nationality_code": "CM",
"address_line1": "<string>",
"city": "<string>"
},
"pricing": {},
"history": [
{
"status": "<string>",
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Bumxpress collects from the payer first, then disburses to the recipient.
Authorizations
Public API key from the merchant dashboard.
Secret shown once when the API key is created.
Headers
Unique key for this business intent. Reuse only when retrying the same request body.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"OTHER"
Example:
"salary"
Example:
"Engineer"
OTP for the collection leg when the selected provider operator requires it. Never returned by the API.
Response
Transfer created.
Available options:
pending, collecting, disbursing, completed, failed Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Pattern:
^[0-9]+(\.[0-9]+)?$Example:
"10000"
Supported currencies for payins, payouts, and transfers.
Available options:
XAF, XOF Example:
"XAF"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 8, 2026